<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);

if ($superCage->post->keyExists('lzld_image')) {
	ob_clean();
	cpg_config_set('plg_lzld_image', $superCage->post->getRaw('lzld_image'), true);
	exit();
}

pageheader($lang_plugin_lazyload['lazyload'].' - '.$lang_gallery_admin_menu['admin_lnk']);

lazyload_display_config();

/***************************************************************************/

function lazyload_display_config ()
{
	global $CONFIG, $lang_common, $lang_gallery_admin_menu, $lang_plugin_lazyload;

	$cfgimg = empty($CONFIG['plg_lzld_image'])?'t1x1.gif':$CONFIG['plg_lzld_image'];
	$imgs = array_diff(scandir('plugins/lazyload/holders'), ['..','.','view.php']);
	$th = $CONFIG['thumb_use']=='ex' ? $CONFIG['thumb_height'] : (round($CONFIG['thumb_width']*.75));
	echo <<<EOT
	<style>
		.llhvew img {margin:8px;width:{$CONFIG['thumb_width']}px;height:{$th}px}
		.llhvew {display:inline-flex;margin-top:8px;flex-flow: wrap}
		.llhvew div {margin-right:1em;margin-bottom:1em;border:2px dashed transparent}
		.llhvew .slctd {border:2px dashed blue}
		.llhvew .slctd button {background-color:blue}
		.llhvew button.imgn {padding:3px;color:white;background-color:red;cursor:pointer}
	</style>
EOT;

	echo '<div class="llhvew">';
	foreach ($imgs as $img) {
		$sc = $img==$cfgimg ? ' class="slctd"' : '';
		echo '<br>&nbsp;<div'.$sc.'><button class="imgn" onclick="llslct(this)">'.$img.'</button><br><img src="plugins/lazyload/holders/'.$img.'" /></div>';
	}
	echo '</div>';

	echo <<<EOT
	<script>
	function llslct (elem) {
		$.ajax({
			type: "POST",
			url: "index.php?file=lazyload/config",
			data: {
				"lzld_image": $(elem).html()
			}
		}).done(function(o) {
			if (o) alert(o);
			else {
				$(".llhvew .slctd").removeClass("slctd");
				$(elem).parent().addClass("slctd");
			}
		});
	}
	</script>
EOT;

	pagefooter();
}
